# ParadisEO-MOMovingObjects: moExponentialCoolingSchedule Class Reference

# moExponentialCoolingSchedule Class Reference

One of the possible moCoolingSchedule. More...

`#include <moExponentialCoolingSchedule.h>`

Inheritance diagram for moExponentialCoolingSchedule:

List of all members.

## Public Member Functions

| moExponentialCoolingSchedule (double _threshold, double _ratio)
| Simple constructor.
bool | operator() (double &_temperature)
| Function which proceeds to the cooling.

## Private Attributes

double | threshold
| The temperature threhold.
double | ratio
| The decreasing factor of the temperature.

## Detailed Description

One of the possible moCoolingSchedule.

An other very simple cooling schedule, the temperature decrease according to a ratio while the temperature is greater than a given threshold.

Definition at line 46 of file moExponentialCoolingSchedule.h.

## Constructor & Destructor Documentation

moExponentialCoolingSchedule::moExponentialCoolingSchedule | ( | double | _threshold,
|  | double | _ratio |
| ) |  |  | `[inline]`

Simple constructor.

Parameters:

  | _threshold | the threshold.
  | _ratio | the ratio used to descrease the temperature.

Definition at line 55 of file moExponentialCoolingSchedule.h.

## Member Function Documentation

bool moExponentialCoolingSchedule::operator() | ( | double & | _temperature | ) | `[inline, virtual]`

Function which proceeds to the cooling.

It decreases the temperature and indicates if it is greater than the threshold.

Parameters:

  | _temperature | the current temperature.

Returns:
  if the new temperature (current temperature * ratio) is greater than the threshold.

Implements eoUF< double &, bool >.

Definition at line 65 of file moExponentialCoolingSchedule.h.

References ratio, and threshold.

The documentation for this class was generated from the following file:

- moExponentialCoolingSchedule.h